The new docs.trellix.com features a modernized UI and AI-powered conversational search. Content is currently available in English, with additional languages launching in early November 2026. We hope you enjoy the updated experience.

Export the PCAP File Captured

Prev Next

This URL exports the captured PCAP file.

Resource URL

PUT /sensor/<sensor_id>/packetcapturepcapfile/export

Accept Value

application/octet-stream

Request Parameters

URL Parameters:

Field Name Description Data Type Mandatory
sensor_id Sensor id. Give -1 if all the quarantine hosts are needed Number Yes

Payload Request Parameters:

Field Name Description Data Type Mandatory
fileName PCAP file name String Yes

Response Parameters

Following fields are returned if the request parameters are correct, otherwise error details are returned.

Field Name Description Data Type
byteStream Byte stream of the exported file String

Example

Request

PUT https://<NSM_IP>/sdkapi/sensor/1001/packetcapturepcapfile/export

Payload

{
	"fileName": "capture_Mon_Aug_18_16_12_49_IST_2014.pcap"
} 

Response

{
	"byteStream": "<pcap file data>"
} 
 

Error Information

Following error codes are returned by this URL:

No HTTP Error Code SDK API errorId SDK API errorMessage
1 404 1106 Invalid Sensor
2 500 1124 The Sensor is inactive
3 400 6201 Packet capture not supported on this Sensor